Subject: Re: bug#77086: Filesystems not unmounted on reboot

From: "Ashish SHUKLA" <[email-masked]>
Date: Sat, 03 May 2025 10:48:35 +0000

El 2025-05-02 18:07, Ludovic Courtès escribió:
> Hello,
>
> "Ashish SHUKLA" via Bug reports for GNU Guix <[email-masked]> writes:
>
>> Filesystems not unmounted on reboot, or rather I get filesystem check for "/" volume after I power on, even though I shut it down (as rebooting was ending up in this situation almost everytime). This only happens if I do "sudo guix system reconfigure" prior to reboot/shutdown. Of note is, I'm running a custom Linux kernel (linux-xanmod in my custom channel):
>
> [...]
>
>> Unfortunately, nothing in /var/log/messages that could hint what happens at the lat moments before reboot/shutdown, and quite often, I end up with NUL bytes in the log file:
>
> Are there any hints on tty12 (syslog output) while shutting down?
>
> These issues are all quite mysterious and I’m not sure how to best
> approach it if we cannot reproduce them in a VM.
>
> Ludo’.

I started recording tty12 output before shutting down (or rebooting)[0]. So far it's not manifested yet (filesystem check on boot, or 00 00 00 bytes in the log files).

References:
[0] sudo chvt 12 && sleep 20 && sudo reboot

Thanks!
-- 
Ashish SHUKLA | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0

"If I destroy you, what business is it of yours ?" (Dark Forest, Liu Cixin)